Social Fetch
Bluesky

Get Bluesky profile

Get a Bluesky profile for a creator or account.

GET/v1/bluesky/profiles/{handle}
1credit
x-api-key*stringheader

API key (`sfk_...`)

Parameters
1
handle*stringpath

Bluesky handle to look up, with or without a leading @.

min 1 chars · max 253 chars

Response fields
20

Endpoint-specific response payload.

datalookupStatus
string

Whether the profile was found.

one of: found, not_found

Profile details when available.

dataprofileplatform
string

Social platform for this profile.

one of: bluesky

dataprofilehandle
string

Bluesky handle without the leading @.

dataprofiledisplayName
stringnullable

Public display name shown on the Bluesky profile.

dataprofilebio
stringnullable

Profile biography text.

dataprofileavatarUrl
stringnullable

Best available avatar image URL for the profile.

dataprofileverified
boolean

Whether the profile is marked as verified.

dataprofileprofileUrl
string

Canonical public Bluesky profile URL.

min 1 chars

dataprofileplatformUserId
string

Stable Bluesky user id as a string.

min 1 chars

dataprofilecreatedAt
stringnullable

ISO-8601 timestamp when the profile was created.

Profile metrics when available.

datametricsfollowers
integernullable

Follower count for the profile when available.

≥ 0

datametricsfollowing
integernullable

Following count for the profile when available.

≥ 0

datametricsposts
integernullable

Post count for the profile when available.

≥ 0

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/bluesky/profiles/espn.com" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Bluesky profile lookup result.